[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlChildSizing.Change

Notifies the Control of the child sizing changes and signals the OnChange event handler.

## Declaration

Source position: controls.pp line 1977

`protected procedure TControlChildSizing.Change; virtual;`

## Description

The DoChildSizingChange method in Control is called to recalculate the size for its child controls and to realign them. The OnChange event handler is signalled (when assigned) to resize and realign the parent Control.

## See also

TControlChildSizing.OnChange |  | Event handler signalled when the size or layout for child controls has been changed.
TControlChildSizing.Control |  | The Control where the class instance is used.
TWinControl.DoChildSizingChange |  | Called after a change in ChildSizing information to trigger further processing.